Bug 683033 - highly modular packaging of libproxy may cause subtle errors
highly modular packaging of libproxy may cause subtle errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libproxy (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 07:01 EST by Martin Wilck
Modified: 2013-08-01 13:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Wilck 2011-03-08 07:01:24 EST
Description of problem:

The libproxy package defines several small subpackages

Name        : libproxy-gnome
Size        : 49 k
Name        : libproxy-mozjs
Size        : 20 k
Name        : libproxy-kde
Size        : 14 k
Name        : libproxy-networkmanager
Size        : 10 k
Name        : libproxy-webkit
Size        : 15 k

If some of the module packages are missing, subtle and hard-to-track errors may occur in end user applications. For example, a web app will display a "page not found" error or just fail silently (e.g. not display any data) if the proxy isn't determined correctly. Experienced users may observe (e.g. using netstat or strace) that the app fails to use the correct proxy, but will have a hard time figuring out how to fix that (I just went through this process). Novice users will just see a broken app and have no clue.

This kind of error can occur if a user just changes the GNOME proxy configuration. That's a thing that shouldn't happen - a GNOME user should by default have an installation that supports all reasonable configurations.

With today's disk sizes, it is justified to give up the modular packaging altogether and install all plugins (total size: 88k) with the base package, at least in distributions that are not targetted at embdded systems.

If that's impossible, libproxy maintainers should at least take care that the necessary modules are pulled in by the respective major components. I.e. the GNOME desktop should require libproxy-gnome and libproxy-mozjs, etc. This could be done by package requirements or group definitions. 

I have filed bug 682804 against gnome-applets, but there are more. I suspect most application package maintainers are hardly aware of these requirements because the dependency on libproxy is indirect (e.g. via libsoup).

Version-Release number of selected component (if applicable):
0.4.4-7fc14
Comment 1 Nicolas Chauvet (kwizart) 2011-03-08 08:35:59 EST
The comps solution was something I've suggested earlier,
https://fedorahosted.org/rel-eng/ticket/3565
For some reason, It wasn't done.

The problem with hardcoding runtime requires is that it creates circle dependencies that are very anoying to deal with when there is an ABI break involved.
Comment 2 Martin Wilck 2011-03-08 08:51:52 EST
Ticket 3565: "I'm personally ok with the comps modifications (ie "just do it")"

... but it hasn't been done, apparently because it was too late for F13 and forgotten for F14. would it make sense to reopen the ticket, or reassign this bugzilla to the release engineering team?
Comment 3 Nicolas Chauvet (kwizart) 2011-03-14 18:11:54 EDT
reopening the ticket.
Comment 4 Fedora End Of Life 2012-08-16 17:31:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Martin Wilck 2012-10-14 15:00:37 EDT
Problem is still unresolved in F17.
Comment 6 Nicolas Chauvet (kwizart) 2012-10-15 06:58:49 EDT
Can you test again with the f18 beta ? There were a lot of rework
Nothing gonna change with f17 install tree.
Also worth to tell wich compose you made (either install by livecd or dvd install media etc).
Sorry for this issue to take so much long.
Comment 7 Fedora End Of Life 2013-07-04 02:12:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 13:43:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.